MacOS Ventura problems to run the polymer

Post Reply
amaliadetoni
Posts: 1
Joined: Thu Nov 09, 2023 2:13 pm
company / institution: ICMAN
Location: Spain

MacOS Ventura problems to run the polymer

Post by amaliadetoni »

Dear

I am trying to run the polymer and I'm getting this error message below. I am using macOS Ventura 13.
Please, could you help me to solve this problem?

(polymer) (polymer) amaliadetoni@MacBook-Pro-de-Amalia-2 polymer-v4.16.1 % python _runOlci.py
Traceback (most recent call last):
File "_runOlci.py", line 6, in <module>
from polymer.main import run_atm_corr
File "/Applications/POLYMER/polymer-v4.16.1/polymer/main.py", line 11, in <module>
from pyhdf.SD import SD
ImportError: No module named pyhdf.SD

Thank you very much!
Cheers
Amália
User avatar
fsteinmetz
Site Admin
Posts: 305
Joined: Fri Sep 07, 2018 1:34 pm
company / institution: Hygeos
Location: Lille, France
Contact:

Re: MacOS Ventura problems to run the polymer

Post by fsteinmetz »

Dear Amalia,
Polymer requires some python module, as listed in the file "environment.yml". Please refer to README.md for more information.
Kind regards,
François
Post Reply